hg-git (0.10.4-3ubuntu0.22.04.1) jammy; urgency=medium

  * Backport fix to avoid test failures due to the CVE-2022-39253
    mitigation introduced in git. LP: #2002045.

 -- dann frazier <dannf@ubuntu.com>  Thu, 05 Jan 2023 16:59:40 -0700

hg-git (0.10.4-3) unstable; urgency=medium

  * Team upload
  * Fix tests with Mercurial 6.1 (cherry-picked from upstream)

 -- Julien Cristau <jcristau@debian.org>  Sat, 26 Mar 2022 10:12:36 +0100

hg-git (0.10.4-2) unstable; urgency=medium

  * Team upload.
  * Accept new Git output in unit tests (Closes: #1006066)

 -- Timo Röhling <roehling@debian.org>  Tue, 22 Feb 2022 00:06:09 +0100

hg-git (0.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.4
  * Drop Adjust-test-cases-for-new-Git-version.patch (applied upstream)

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Jan 2022 00:46:46 +0100

hg-git (0.10.3-2) unstable; urgency=medium

  * Team upload.
  * Update test cases for new Git version (Closes: #1001002)
  * Avoid deprecated use of 'which'

 -- Timo Röhling <roehling@debian.org>  Mon, 06 Dec 2021 14:08:08 +0100

hg-git (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.3
  * Update d/copyright
  * Bump Standards-Version to 4.6.0

 -- Timo Röhling <roehling@debian.org>  Sat, 20 Nov 2021 11:35:46 +0100

hg-git (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.2
  * Refresh patches
    - Drop 0001-Make-branch-setup-message-an-optional-output.patch

 -- Timo Röhling <roehling@debian.org>  Fri, 06 Aug 2021 01:41:28 +0200

hg-git (0.10.1-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 4
  * New upstream version 0.10.1
    - Test suite handles git default branch warning (Closes: #978361)
  * Refresh patches
    - Drop 0001-Set-explicit-merge-messages.patch
    - Drop 0002-Silence-git-pull-warning.patch
    - Drop 0003-dulwich-compat.patch
    - New patch 0001-Make-branch-setup-message-an-optional-output.patch
  * Fix autopkgtest failure due to git default branch warning
  * Bump Standards-Version to 4.5.1
  * Use dh-sequence-python3
  * Install correct README and upstream changelog

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Jun 2021 10:13:56 +0200

hg-git (0.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jelmer Vernooĳ ]
  * Add patch 0003-dulwich-compat.patch: avoid deprecation warning with newer
    versions of Dulwich. Closes: #972793

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 01 Nov 2020 13:40:15 +0000

hg-git (0.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Python 3 support (closes: #936699).
  * Bump debhelper from old 11 to 13.
    + Replace python_distutils buildsystem with pybuild.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 0.2.5-1.
  * Update standards version to 4.5.0, no changes needed.
  * Set Rules-Requires-Root: no.
  * B-D: python3-setuptools.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 13 Aug 2020 20:57:14 +0200

hg-git (0.8.12-1.2) unstable; urgency=medium

  [ Julien Cristau ]
  * Non-maintainer upload.
  * Sync with upstream, for compatibility with mercurial 5.0 to 5.2.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

 -- Julien Cristau <jcristau@debian.org>  Tue, 12 Nov 2019 16:26:14 +0100

hg-git (0.8.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix for compatibility with mercurial 4.9 (closes: #921732).

 -- Julien Cristau <jcristau@debian.org>  Wed, 13 Mar 2019 15:43:48 +0100

hg-git (0.8.12-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

  [ Graham Inggs ]
  * New upstream release (Closes: #897503, #899317)
  * Fix capitalisation mismatches in tests, thanks Daniel Watkins
    (Closes: #901016)
  * Cherry-pick patches from upstream for compatibility with mercurial 4.8
  * Add versioned {Build-,}Depends on mercurial (>= 4.8~)
  * Add debian/clean to avoid FTBFSx2
  * Add test-incoming.t to debian/hg-git.test_blacklist
  * Use debian/hg-git.test_blacklist during autopkgtest as well
  * Turn debhelper up to 11
  * Bump Standards-Version to 4.3.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 10 Jan 2019 14:26:54 +0000

hg-git (0.8.11-1) unstable; urgency=medium

  * New upstream release (closes: #883469, #843635, #844923)
  * Bump Standards-Version to 4.1.3 (no changes).
  * Use https for copyright format URL.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 26 Feb 2018 10:04:12 +0200

hg-git (0.8.9-1) unstable; urgency=medium

  * New upstream release (closes: #873145).
    - Drop all patches (applied/obsoleted upstream).
    - Add some new patches to fix test suite.
  * Fix debian/watch.
  * Build-Depend on openssh-client for the tests.
  * Add myself to uploaders.
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 14 Sep 2017 22:36:00 +0200

hg-git (0.8.5-4) unstable; urgency=medium

  * Team upload.
  * Fix test-suite failure with new git, different output from
    git. Closes: #835611

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 Sep 2016 15:13:55 +0100

hg-git (0.8.5-3) unstable; urgency=medium

  * Fix "FTBFS: AttributeError: 'overlaychangelog' object has no attribute
    'changelogrevision'" by adding patches
    from_upstream__overlay_add_changelogrevision.patch and
    from_upstream__Update_test_to_keep_graph_output_stable_across_versions.patch
    (Closes: #823484)
  * Bump standards-version to 3.9.8 (no change needed)

 -- Javi Merino <vicho@debian.org>  Fri, 27 May 2016 15:20:56 +0200

hg-git (0.8.5-2) unstable; urgency=medium

  * Blacklist test-encoding.t during build also

 -- Javi Merino <vicho@debian.org>  Mon, 07 Mar 2016 07:55:22 +0000

hg-git (0.8.5-1) unstable; urgency=medium

  * New upstream version (Closes: #811172)
  * Fix "add explanatory comments in README.Debian for reST markup" by
    clarifying that it uses ReST markup.  Thanks Ben Finney
    <ben+debian@benfinney.id.au> for the patch. (Closes: #805756)
  * Improve autopkgtest to push commits from the mercurial clone to git
  * Use https for Vcs-Browser
  * Update hg-git's homepage
  * Bump standards-version to 3.9.7 (no change needed)
  * Fix mercurial-git autopkg test by redirecting stderr to stdout for
    git clone and git push
  * Blacklist test-encoding in the testsuite's autopkgtest

 -- Javi Merino <vicho@debian.org>  Sun, 06 Mar 2016 14:29:22 +0000

hg-git (0.8.3-1) unstable; urgency=medium

  * New upstream release compatible with mercurial 3.6-1 (Closes: #804259)

 -- Javi Merino <vicho@debian.org>  Thu, 19 Nov 2015 08:38:02 +0000

hg-git (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches as they are all in 0.8.2
  * Add autopkgtests

 -- Javi Merino <vicho@debian.org>  Sun, 20 Sep 2015 19:02:29 +0100

hg-git (0.8.1-3) unstable; urgency=medium

  * Add 6 patches from upstream to make mercurial-git 0.8.1 work with
    mercurial 3.5-1 (Closes: #794987)
  * Run the testsuite when building the package

 -- Javi Merino <vicho@debian.org>  Sun, 16 Aug 2015 10:32:47 +0100

hg-git (0.8.1-2) unstable; urgency=medium

  * Fix "hg help git" fails due to missing help/ directory (Closes: #743463)

 -- Javi Merino <vicho@debian.org>  Sat, 08 Aug 2015 11:03:33 +0100

hg-git (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Fix "AttributeError: 'tuple' object has no attribute 'rfind'"
    by upgrading to a newer version of mercurial-git (Closes: #785367)

 -- Javi Merino <vicho@debian.org>  Tue, 19 May 2015 11:43:00 +0900

hg-git (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * New maintainer (Closes: #780425)
  * Bump standards-version to 3.9.6 (no change needed)
  * Update python-dulwich dependency to 0.9.7 as upstream suggests
  * Upgrade debhelper compat to 9

 -- Javi Merino <vicho@debian.org>  Wed, 13 May 2015 08:51:00 +0900

hg-git (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove backported upstream patches.
  * New release fixes crash. (Closes: 758699)

 -- Qijiang Fan <fqj1994@gmail.com>  Thu, 14 Aug 2014 15:41:07 +0800

hg-git (0.4.0-2) unstable; urgency=low

  * Team upload.
  * Fix "Incompatible with python-dulwich 0.9.1" by adding patches
    "from_upstream__upgraded_to_use_latest_version_of_dulwich_0.9.1.patch",
    "from_upstream__fix_work_around_https_bugs_launchpad_net_dulwich_bug_1025886.patch"
    and
    "from_upstream__git_handler_fix_bugs_introduced_by_47df57f2bb2b.patch"
    (Closes: #724638)
  * Update standards to 3.9.4 (no change needed)

 -- Javi Merino <vicho@debian.org>  Mon, 14 Oct 2013 23:02:56 +0100

hg-git (0.4.0-1) unstable; urgency=low

    [Jakub Wilk]
    * Use canonical URIs for Vcs-* fields.

    [Qijiang Fan]
    * New upstream release.
    * New release fixes broken `hg out` (closes: #686855).

 -- Qijiang Fan <fqj1994@gmail.com>  Fri, 24 May 2013 16:45:14 +0800

hg-git (0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Qijiang Fan <fqj1994@gmail.com>  Thu, 15 Nov 2012 17:38:54 +0800

hg-git (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Patches token from upstream are dropped.
  * Add postinst script.

 -- Qijiang Fan <fqj1994@gmail.com>  Wed, 05 Sep 2012 10:49:40 +0800

hg-git (0.3.2-2) unstable; urgency=low

  * Backport a patch from upstream to handle incorrect
    hg metadata gracefully (closes: 636879).

 -- Qijiang Fan <fqj1994@gmail.com>  Wed, 25 Apr 2012 23:41:25 +0800

hg-git (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch updated.
  * Bump copyright format uri to
    http://www.debian.org/doc/packaging-manuals/copyright-format/1.0.
  * Bump standards version to 3.9.3.

 -- Qijiang Fan <fqj1994@gmail.com>  Fri, 20 Apr 2012 16:46:20 +0800

hg-git (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Patches taken from upstream are dropped.
  * Bump minimum required version of python-dulwich to 0.8.
  * New release fixes the crash with Mercurial 1.9 (closes:645037).

 -- Qijiang Fan <fqj1994@gmail.com>  Mon, 17 Oct 2011 21:32:57 +0800

hg-git (0.2.6-2) unstable; urgency=medium

  * Team upload.
  * Backport two patches from upstream VCS to fix compatiblity with Mercurial
    1.9 (closes: #635500).
  * Convert to dh_python2:
    + Build depend on python (>= 2.6.6-3) instead of python-support.
    + Add ‘--with python2’ to dh call in debian/rules.
    + Rename XS-Python-Version to X-Python-Version.
    + Bump minimum required version of mercurial to 1.9.1-1, which is the
      first version using dh_python2.
  * Add build-arch and build-indep targets to debian/rules.
  * Bump standards version to 3.9.2 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 09 Aug 2011 17:09:34 +0200

hg-git (0.2.6-1) unstable; urgency=low

  * New upstream release.
  * Upstream fixed compatibility with Mercurial 1.8 (closes: #617892).

 -- Qijiang Fan <fqj1994@gmail.com>  Sun, 27 Mar 2011 16:43:37 +0800

hg-git (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Maintainer changed to Qijiang Fan (closes: #589961).
  * Copyright has been updated.
  * NEWS has been deleted.

 -- Qijiang Fan <fqj1994@gmail.com>  Tue, 08 Feb 2011 10:30:41 +0800

hg-git (0.2.4-1) experimental; urgency=low

  * New upstream release.
  * Fix a typo in package description.
  * Bump standards version to 3.9.1 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Fri, 03 Sep 2010 12:56:04 +0200

hg-git (0.2.3-1) unstable; urgency=low

  * New upstream release.
    + Fix compatiblity with Mercurial 1.6 (closes: #588325).
  * Bump standards version to 3.9.0 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 07 Jul 2010 13:51:05 +0200

hg-git (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Bump dependency on dulwich to >= 0.6.
  * Bump standards version to 3.8.4 (no changes needed).
  * Update my e-mail address.
  * Update debian/copryright: toposort.py and a copy of the Dulwich library
    are no longer shipped in the tarball.
  * Remove debian/patches/ directory, as there are currently no patches.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 23 May 2010 15:00:01 +0200

hg-git (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).
  * Document usage of bookmarks in README.source (closes: #548215).
  * Drop superfluous ‘XB-Python-Version’ from debian/control.

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 08 Jan 2010 13:29:45 +0100

hg-git (0.1.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-dulwich, as hg-git no longer embeds the Dulwich library
    (closes: #541996, #544272).
  * Drop mercurial-1.3.diff patch, applied upstream.
  * Remove get-orig-source target, no longer needed; add watch file instead.
  * Bump standards version to 3.8.3 (no changes needed).

 -- Jakub Wilk <ubanus@users.sf.net>  Wed, 21 Oct 2009 21:58:02 +0200

hg-git (0+hg20090603-2) unstable; urgency=low

  * Use quilt to manage patches.
  * Fix compatiblity with Mercurial 1.3 (closes: #540989).

 -- Jakub Wilk <ubanus@users.sf.net>  Tue, 11 Aug 2009 09:12:24 +0200

hg-git (0+hg20090603-1) unstable; urgency=low

  * Initial release (closes: #531028).

 -- Jakub Wilk <ubanus@users.sf.net>  Tue, 30 Jun 2009 14:19:10 +0200
